跳转到主要内容
GET
/
v3
/
enterprise
/
git-providers
/
connections
/
{connection_id}
/
repositories
列出某个 Git 连接的代码仓库
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/git-providers/connections/{connection_id}/repositories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "git_connection_host": "<string>",
      "git_connection_id": "<string>",
      "last_updated_at": 123,
      "provider_repository_id": "<string>",
      "repo_description": "<string>",
      "repo_language": "<string>",
      "repo_name": "<string>",
      "repo_path": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

权限

需要在企业层级拥有 ManageGitIntegrations 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

connection_id
string
必填

查询参数

after
string | null
first
integer
默认值:100
必填范围: 1 <= x <= 100
filter_name
string | null

响应

成功响应

items
GitConnectionRepositoryResponse · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果这是最后一页,则为 None。

has_next_page
boolean
默认值:false

此页之后是否还有更多项可用。

total
integer | null

可选的总数(为提高性能,可省略)。